#
# spec file for package rubygem-bundler-audit
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bundler-audit
Version:        0.6.1
Release:        8.3
%define mod_name bundler-audit
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/rubysec/bundler-audit#readme
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Patch-level verification for Bundler
License:        GPL-3.0-or-later
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
bundler-audit provides patch-level verification for Bundled apps.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING.txt ChangeLog.md README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 coolo@suse.com
- updated to version 0.6.1
  see installed ChangeLog.md
  [#]## 0.6.1 / 2019-01-17
  * Require bundler `>= 1.2.0, < 3` to support [bundler] 2.0.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 0.6.0
  see installed ChangeLog.md
* Mon Feb 29 2016 coolo@suse.com
- updated to version 0.5.0
  see installed ChangeLog.md
  [#]## 0.5.0 / 2015-02-28
  * Added {Bundler::Audit::Task}.
  * Added {Bundler::Audit::Advisory#date}.
  * Added {Bundler::Audit::Advisory#cve_id}.
  * Added {Bundler::Audit::Advisory#osvdb_id}.
  * Allow insecure gem sources (`http://` and `git://`), if they are hosted on a
    private network.
  [#]### CLI
  * Added the `--update` option to `bundle-audit check`.
  * `bundle-audit update` now returns a non-zero exit status on error.
  * `bundle-audit update` only updates `~/.local/share/ruby-advisory-db`, if it is a git
    repository.
* Thu Aug 20 2015 astieger@suse.com
- update to 0.4.0:
  * Require ruby >= 1.9.3 due to i18n gem deprecating < 1.9.3.
  * Added {Bundler::Audit::Advisory#osvdb}.
  * Resolve the IP addresses of gem sources and ignore intranet
    gem sources.
  * Use ISO8601 date format when querying the git timestamp of
    ruby-advisory-db.
  * Print the CVE or OSVDB id.
  * No longer print "Unpatched versions found!" when an insecure
    gem source is detected.
* Mon Jun 29 2015 coolo@suse.com
- adapt to proper gem packaging
* Tue May 19 2015 astieger@suse.com
- initial package
